/* progress bar ***************************************************************

#progress
	margin-left: 40%
	em
		/*display: block;
		margin-top: 12px

/* response ********************************************************************

#response
	margin-left: 0px
	padding-top: 0px
	background: #f9f9f5 url(images/bg.png) repeat-x
	h1
		font: bold 12px arial,helvetica,sans-serif
		display: none
	ul
		padding: 7px 2px 5px 33px
		margin: 0px
		margin-bottom: 7px
		width: auto
		background: transparent 10px 8px no-repeat
	li
		background: none
		padding: 2px 0px
		width: auto
		list-style: none
	ul
		&.ok
			background-image: url(icons/16x16/shield-ok.png)
		&.error
			background-image: url(icons/16x16/shield-error.png)
		&.warning
			background-image: url(icons/16x16/shield-warning.png)
		&.info
			background-image: url(icons/16x16/shield-info.png)
		&.help
			background-image: url(icons/16x16/shield-help.png)

/* id:s ********************************************************************

#display_service_status
	display: none

#log_entries
	padding-bottom: 15px

a#optiontoggle
	margin: 5px

#new_schedule_report_table
	width: auto

#switcher
	margin-top: -15px

#save_to_schedule em
	font-style: italic

.action
	img
		margin-left: 5px
		margin-top: 2px
		width: 16px
		height: 16px
	a
		border: 0 !important

.report-page-setup, .report-page
	padding: 0px 16px

.report-page-setup td > label
	margin: 4px 0
	display: inline-block

.pie-chart
	display: block
	float: left
	width: auto
	margin-right: 7px

.chart-border
	border: 1px solid #dcdcdc

.report-chart-fullwidth
	min-width: 10px
	min-height: 10px

.log_messages
	clear: both
	float: left

.headerNone.left
	text-align: left

/* tables **********************************************************************

caption
	padding-left: 0px

.setup-table
	border: 0px
	padding: 0px
	margin: 0px
	border-spacing: 0px
	border-collapse: collapse
	table tr td
		border: 0px
		background-color: transparent

#new_schedule_report_table tr td
	background: none
	vertical-align: top
	width: auto

tr#pdf-hide td
	background: transparent
	margin-top: 5px
	text-align: right
	padding-right: 2px

th.headerNone
	white-space: nowrap
	text-align: right

tr
	&.dark td, &.odd td.dark
		border: 1px solid #dcdccd
		border-left: 0px
		background: #efefef
		border-top: 0px
		padding-top: 2px
		padding-bottom: 2px
	&.even td.dark
		border: 1px solid #dcdccd
		border-left: 0px
		background: #efefef
		border-top: 0px
		padding-top: 2px
		padding-bottom: 2px
		padding: 2px 5px
		border-left: 1px solid #dcdcdc
		vertical-align: bottom
		width: auto
		text-align: left
	&.dark td.data, &.odd td.data, &.even td.data
		text-align: right
		white-space: nowrap

.summary
	text-align: right
	&.tally.nonzero
		&.ok, &.up
			@include background(linear-gradient(top, transparentize($status-green-hi, 0.50), transparentize($status-green-lo, 0.50)))
			@include filter-gradient(transparentize($status-green-hi, 0.50), transparentize($status-green-lo, 0.50), vertical)
		&.warning, &.unreachable
			@include background(linear-gradient(top, transparentize($status-yellow-hi, 0.50), transparentize($status-yellow-lo, 0.50)))
			@include filter-gradient(transparentize($status-yellow-hi, 0.50), transparentize($status-yellow-lo, 0.50), vertical)
		&.critical, &.down
			@include background(linear-gradient(top, transparentize($status-red-hi, 0.50), transparentize($status-red-lo, 0.50)))
			@include filter-gradient(transparentize($status-red-hi, 0.50), transparentize($status-red-lo, 0.50), vertical)
		&.unknown
			@include background(linear-gradient(top, transparentize($status-orange-hi, 0.50), transparentize($status-orange-lo, 0.50)))
			@include filter-gradient(transparentize($status-orange-hi, 0.50), transparentize($status-orange-lo, 0.50), vertical)
		&.undetermined
			@include background(linear-gradient(top, $gradient-dark-hi / 1.2, $gradient-dark-lo / 1.2))
			@include filter-gradient($gradient-dark-hi / 1.2, $gradient-dark-lo / 1.2, vertical)

tr
	&.odd td.data img, &.even td.data img, &.dark td.data img
		margin-bottom: -1px
	&.none td
		border: 0px
		background: #ffffff

table.setup-tbl
	tr td
		padding: 0px 5px 0px 0px
		border: 0
	input
		background: #fafafa
		border: 1px solid #cccccc
		-moz-border-radius: 4px
		-webkit-border-radius: 4px
		border-radius: 4px
		padding: 3px 1px
		margin-top: 3px
		margin-left: 0px
		margin-bottom: 15px
		&[type=text]
			width: 378px

#new_schedule_report_table tr td
	padding: 0px 15px 0px 0px

table.white-table tr.no-result td
	background: #ffffff
	font-style: italic
	padding-left: 0px

/* time picker *********************************************************************************

div
	&.time-picker
		position: absolute
		height: 200px
		width: 9em
		/* needed for IE
		overflow: auto
		background: #ffffff
		border: 1px solid #d0d0d0
		z-index: 99
	&.time-picker-12hours
		width: 6em
		/* needed for IE
	&.time-picker
		ul
			list-style-type: none
			margin: 0
			padding: 0
		li
			padding: 1px
			cursor: pointer
			&.selected
				background: #316aC5
				color: #fff

.time_error
	border: 1px solid red
	color: red

/* tab specifics *********************************************************************************

.ui-widget-content
	border: 0px
	background: #ffffff
	color: #222222

.ui-widget-header
	border: 0px
	background: #cdcdcd url(images/bg.png) repeat-x
	border-bottom: 1px solid #cdcdcd
	color: #222222
	font-weight: bold

.ui-state-default, .ui-widget-content .ui-state-default
	border: 1px solid #cdcdcd
	background: #dddddd url(images/bg.png) repeat-x
	font-weight: normal
	color: #555555
	outline: none

.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus
	border: 1px solid #cdcdcd
	background: #aaaaaa url(images/bg.png) repeat-x
	font-weight: normal
	color: #212121
	outline: none

.ui-state-active, .ui-widget-content .ui-state-active
	border: 1px solid #cdcdcd
	background: #ffffff
	font-weight: normal
	color: #212121
	outline: none

.ui-corner-all
	-moz-border-radius: 0px
	-webkit-border-radius: 0px

/**********************************************************************

input[type=text], input[type=password], select, textarea
	background: $input_background_color
	border: 1px solid $border-color-light
	-moz-border-radius: 4px
	-webkit-border-radius: 4px
	padding: 3px 1px
	margin-top: 3px
	margin-left: 0px

select
	width: 382px
	padding: 2px 1px
	&[multiple=multiple]
		padding: 3px
		width: 380px
	&:hover
		background-color: $gradient-dark-lo

select.auto
	width: auto

button, input[type=reset], input[type=submit], input[type=button]
	background: #cdcdcd url(images/bg.png) repeat-x
	border: 1px solid #cccccc
	cursor: pointer
	-moz-border-radius: 4px
	-webkit-border-radius: 4px
	padding: 2px 5px !important
	margin-bottom: 5px
	&:hover
		background-color: #a0a0a0

input
	&[type=button], &[type=submit], &[type=reset], &[type=checkbox], &[type=radio]
		width: auto
	&[type=checkbox], &[type=radio]
		margin: 0px
		margin-bottom: 5px
		border: 0px
	&.sla_month
		width: 30px
	&.wide
		padding: 2px 4px
		width: 460px
		margin: 0px
		margin-top: 3px

.form-dropdown
	padding: 10px
	background: #cdcdcd url(images/bg.png) repeat-x
	border: 1px solid #dcdcdc
	display: none
	input, form
		margin: 0

textarea
	width: 378px

select#period.popup
	margin-top: 3px
	width: 100px

/* alert summary specifics ********************************************

input#summary_items
	width: 50px

td
	&.iseditable input, &.report_name select, &.period_select select
		width: auto
		display: block
		margin-bottom: 5px

.txtarea textarea
	display: block
	margin-bottom: 5px

.output
	white-space: normal
	border: 0 !important
	margin: 0
	padding: 0
	tr, td
		white-space: normal
		border: 0 !important
		margin: 0
		padding: 0

.comments
	text-align: right
	.author
		font-style: italic

.editing-comments
	min-width: 40%

.host_alerts td
	width: 25%

/* a report block is a logical unit that contains information

.report-block
	width: 100%
	float: none
	clear: both
	padding-top: 2em
	td
		word-wrap: break-word
		word-break: break-all
		overflow-wrap: break-word

#mv_hg_l, #mv_hg_r,
#mv_sg_l, #mv_sg_r,
#mv_s_l, #mv_s_r,
#mv_h_l, #mv_h_r
	height: auto
	padding-bottom: 4px
	margin: 1px 1px
